Am 10.04.2018 um 14:27 schrieb WebFreak001:
> On Monday, 9 April 2018 at 21:45:57 UTC, Johannes Loher wrote:
>> Am 04.04.2018 um 20:34 schrieb greatsam4sure:
>>> [...]
>> I just tried to get this to work, too, but I was not able to get it to
>> work correctly. It seems that running dub fails somehow:
>>
>> [...]
> 
> hm before it would have completely crashed workspace-d/serve-d to a
> point where nothing would work, now you basically only get stdlib and a
> guess of further import paths. Can you make a minimal test case where
> this happens? It is probably due to some dub.json settings. But as I use
> dub as a library it should work the same as just calling `dub build`

You are right, it indeed seems to be a dub problem. Running `dub build`
gives me "Could not resolv configuration for package vibe-d". The
strange thing is, it workls correctly on Linux / OS X with the same
dub/dmd versions...

I tried it with another project with a more simple dub.json and it works
fine out of the box. Very nice job!

Reply via email to